<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_0f939e9a0c1b17527bce221" . "f42ee827e" => base64_decode("IEdST1VQIEJZIHVzZXJfaW" . "QpIHQ="), "_79a5c6862da55a81bbba54a4e91b2" . "e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVNDLCB1bmlxdWVfb2JqZWN0cyBERVNDLCB1c2VyX2" . "lkIEFTQw=="), "user_i" . "d" => base64_decode("dXNlcl9pZA" . "=="), "_d9e8699" . "5f0bc621" . "9b3823d8" . "42232615" . "3" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBT" . "kQg"), "_c5aeb46d4987229cd00333" . "23a7f86836" => base64_decode("b2JqZW" . "N0cw=="), "_ead9f7746c5d5e2801ce570483" . "7fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ" . "3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "_07afa3e4c6840a9" . "0ca78db3521dfbe2" . "b" => base64_decode("c3R" . "kQ2" . "xhc" . "3M="), "aggre" . "gatio" . "n" => base64_decode("YWdncmVnYXRpb2" . "4="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d9e86995f0b" . "c6219b3823d8" . "422326153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_79a5c6862da" . "55a81bbba54a" . "4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["aggr" . "egat" . "ion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["user_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c5aeb46" . "d4987229" . "cd003332" . "3a7f8683" . "6"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_ead9f7746" . "c5d5e2801c" . "e5704837fb" . "63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0f939e9a0c1b1" . "7527bce221f42e" . "e827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_07afa3e4c6840a90" . "ca78db3521dfbe2b"];
    }
}